#two-way ANOVA analysis with geographical regions and species as fixed factor 

anova<- read.csv("morphological data for geography variation analysis.csv", header=T)
anova.result<-aov(anova$SH~anova$Cluster*anova$Species)
summary(anova.result)

#test for normality
shapiro.test(anova$SH[anova$Cluster=="K" & anova$Species=="Sericatum"]) 

#test for homogeneity: levene test
install.packages("car")
require(car)

# subsetting data- Pellucidum in both location
a=subset(anova, Species=="Pellucidum") # change to "Sericatum" for testing sericatum in both location
leveneTest(a$SH, a$Cluster) # change SH to other variables

# subsetting data- Pellucidum in both location
b=subset(anova, Cluster=="BI") # change to "K"
leveneTest(b$SH, b$Species) # change SH to other variables

# combined all six boxplots
par(mfrow=c(3,2))
boxplot(anova$SH~anova$Cluster+anova$Species, col=c("grey","white"), 
        ylab="Shell height (cm)", xlab="Species", main="(A) Shell Height", las=1, names=c("L.pellucidum","L.pellucidum","L.sericatum", "L.sericatum"))#y axis label
boxplot(anova$SW~anova$Cluster+anova$Species, col=c("grey","white"), 
        ylab="Shell width (cm)", xlab="Species", main="(B) Shell Width", las=1, names=c("L.pellucidum","L.pellucidum","L.sericatum", "L.sericatum"))#y axis label
boxplot(anova$AH~anova$Cluster+anova$Species, col=c("grey","white"), 
        ylab="Aperture height (cm)", xlab="Species", main="(C) Aperture Height", las=1, names=c("L.pellucidum","L.pellucidum","L.sericatum", "L.sericatum"))#y axis label
boxplot(anova$AW~anova$Cluster+anova$Species, col=c("grey","white"), 
        ylab="Aperture width (cm)", xlab="Species", main="(D) Aperture Width", las=1, names=c("L.pellucidum","L.pellucidum","L.sericatum", "L.sericatum"))#y axis label
boxplot(anova$Spire.Height~anova$Cluster+anova$Species, col=c("grey","white"), 
        ylab="Shell spire height (cm)", xlab="Species", main="(E) Shell Spire Height", las=1, names=c("L.pellucidum","L.pellucidum","L.sericatum", "L.sericatum"))#y axis label
boxplot(anova$SH.SW~anova$Cluster+anova$Species, col=c("grey","white"), 
        ylab="Ratio of shell height and width (cm)", xlab="Species", main="(F) Ratio of shell height and width", las=1, names=c("L.pellucidum","L.pellucidum","L.sericatum", "L.sericatum"))#y axis label


