##pearson's chi-square test

read.csv("morphological data for geography variation analysis.csv", header=T)-> alldata

## shell pattern~ geographical cluster
tbl<- table(alldata$shell.pattern,alldata$Cluster, alldata$Species)
chi<- chisq.test(tbl)
fisher.test(tbl)

##innerring~geographical cluster
tbl2<- table(alldata$Inner.ring, alldata$Cluster)
plot(tbl2)
chi<- chisq.test(tbl2)

## shell pattern~ species identity
tbl3<- table(alldata$shell.pattern,alldata$Species)
plot(tbl3)
chi<- chisq.test(tbl3)
fisher.test(tbl3)

##innerring~species identity
tbl4<- table(alldata$Inner.ring, alldata$Species)
chi<- chisq.test(tbl4)
fisher.test(tbl4)


#plot graph
install.packages("reshape2")
install.packages("grid")
install.packages("gridExtra")
library(grid)
library(gridExtra)
require(ggplot2)
require(reshape2)
tbl=table(alldata$Inner.ring, alldata$Cluster, alldata$Species)

d<-data.frame(
  occurence=c("Presence","Absence"),
  L.pellucidum.bi=c(0,45),
  L.sericatum.bi=c(0,46),
  L.pellucidum.k=c(18,72),
  L.sericatum.k=c(5,63))

melt<-melt(d,"occurence")
melt$cat<- ""
melt[melt$variable=="L.pellucidum.bi",]$cat<-"Balambangan Island"
melt[melt$variable=="L.sericatum.bi",]$cat<-"Balambangan Island"
melt[melt$variable=="L.pellucidum.k", ]$cat<-"Kinabatangan"
melt[melt$variable=="L.sericatum.k", ]$cat<-"Kinabatangan"
colnames(melt)<- c("occurence","Legend", "Frequency", "Variables")

p1=ggplot(melt, aes(Variables,Frequency, fill=Legend))+
  geom_bar(stat="identity", position="stack", colour="black") + 
  facet_wrap(~occurence)+
  ggtitle("(B) Presence of dark ring band in aperture")+
  scale_fill_manual(values=c( "grey", "black"), name="Legend",labels=c("L. pellucidum", "L. sericatum"))+ 
  guides(fill=FALSE)

d<-data.frame(
  occurence=c("P1","P2","P3","P4","P5","P6","P7","P8"),
  L.pellucidum.bi=c(29,2,11,3,0,0,0,0),
  L.sericatum.bi=c(16,0,20,4,1,2,0,3),
  L.pellucidum.k=c(78,0,8,4,0,0,0,0),
  L.sericatum.k=c(13,0,31,1,0,18,5,0))

d2<-melt(d,"occurence")
d2$cat<- ""
d2[d2$variable=="L.pellucidum.bi",]$cat<-"Balambangan Island"
d2[d2$variable=="L.sericatum.bi",]$cat<-"Balambangan Island"
d2[d2$variable=="L.pellucidum.k", ]$cat<-"Kinabatangan"
d2[d2$variable=="L.sericatum.k", ]$cat<-"Kinabatangan"
colnames(d2)<- c("occurence","Legend", "Frequency", "Variables")

p2=ggplot(d2, aes(Variables,Frequency, fill=Legend))+
  geom_bar(stat="identity", position="stack", colour="black") + 
  facet_wrap(~occurence, ncol=4)+
  ggtitle("(A) Shell colour patterns")+
  scale_fill_manual(values=c("grey", "black","grey", "black"))+ 
  guides(fill=FALSE)

grid.arrange(p2,p1,ncol=1,nrow=2) 


